summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2017-01-28 20:18:57 -0500
committerLuke Shumaker <lukeshu@sbcglobal.net>2017-01-28 20:21:11 -0500
commit28475aa943148c605af8af10a1bb10dad7f64e8c (patch)
treecc9173ff8e606da1cce2ece97dee97210a02df83
parent4e973635afd5256564c2fb6ce6e6a6adffc91b82 (diff)
downloadabslibre-28475aa943148c605af8af10a1bb10dad7f64e8c.tar.gz
abslibre-28475aa943148c605af8af10a1bb10dad7f64e8c.tar.bz2
abslibre-28475aa943148c605af8af10a1bb10dad7f64e8c.zip
add ~lukeshu/httpconnectd-git
-rw-r--r--libre/systemd/PKGBUILD81
-rw-r--r--~lukeshu/httpconnectd-git/PKGBUILD36
2 files changed, 81 insertions, 36 deletions
diff --git a/libre/systemd/PKGBUILD b/libre/systemd/PKGBUILD
index faea533e0..e939c59a5 100644
--- a/libre/systemd/PKGBUILD
+++ b/libre/systemd/PKGBUILD
@@ -12,7 +12,7 @@ arch=('i686' 'x86_64' 'armv7h')
url="https://www.github.com/systemd/systemd"
makedepends=('acl' 'cryptsetup' 'docbook-xsl' 'gperf' 'lz4' 'xz' 'pam' 'libelf'
'intltool' 'iptables' 'kmod' 'libcap' 'libidn' 'libgcrypt'
- 'libmicrohttpd' 'libxslt' 'util-linux' 'linux-libre-api-headers'
+ 'libmicrohttpd' 'libxslt' 'util-linux' 'linux-api-headers'
'python-lxml' 'quota-tools' 'shadow' 'git')
makedepends_i686=('gnu-efi-libs')
makedepends_x86_64=('gnu-efi-libs')
@@ -73,45 +73,57 @@ _backports=(
'3d4cf7de48a74726694abbaa09f9804b845ff3ba' # build-sys: check for lz4 in the old and new numbering scheme (#4717)
)
-#_validate_tag() {
-# local success fingerprint trusted status tag=v$pkgver
-#
-# parse_gpg_statusfile /dev/stdin < <(git verify-tag --raw "$tag" 2>&1)
-#
-# if (( ! success )); then
-# error 'failed to validate tag %s\n' "$tag"
-# return 1
-# fi
-#
-# if ! in_array "$fingerprint" "${validpgpkeys[@]}" && (( ! trusted )); then
-# error 'unknown or untrusted public key: %s\n' "$fingerprint"
-# return 1
-# fi
-#
-# case $status in
-# 'expired')
-# warning 'the signature has expired'
-# ;;
-# 'expiredkey')
-# warning 'the key has expired'
-# ;;
-# esac
-#
-# return 0
-#}
+_validate_tag() {
+ local success fingerprint trusted status tag=v$pkgver
+
+ parse_gpg_statusfile /dev/stdin < <(git verify-tag --raw "$tag" 2>&1)
+
+ if (( ! success )); then
+ error 'failed to validate tag %s\n' "$tag"
+ return 1
+ fi
+
+ if ! in_array "$fingerprint" "${validpgpkeys[@]}" && (( ! trusted )); then
+ error 'unknown or untrusted public key: %s\n' "$fingerprint"
+ return 1
+ fi
+
+ case $status in
+ 'expired')
+ warning 'the signature has expired'
+ ;;
+ 'expiredkey')
+ warning 'the key has expired'
+ ;;
+ esac
+
+ return 0
+}
prepare() {
cd "$pkgbase"
-# _validate_tag || return
+ _validate_tag || return
if (( ${#_backports[*]} > 0 )); then
git cherry-pick -n "${_backports[@]}"
fi
- # apply FSDG and another patches
+ # https://github.com/systemd/systemd/issues/4789
+ patch -Np1 <../0001-nspawn-don-t-hide-bind-tmp-mounts.patch
+
+ # these patches aren't upstream, but they make v232 more useable.
+
+ # https://github.com/systemd/systemd/issues/4575
+ patch -Np1 <../0001-disable-RestrictAddressFamilies-on-i686.patch
+
+ # https://github.com/systemd/systemd/issues/4595
+ # https://github.com/systemd/systemd/issues/3826
+ patch -Np1 <../0001-Revert-nspawn-try-to-bind-mount-resolved-s-resolv.co.patch
+
+ # apply FSDG patches
local patchfile
- for patchfile in "$srcdir"/*.patch; do
+ for patchfile in "$srcdir"/????-FSDG-*.patch; do
patch -Np1 -i "$patchfile"
done
@@ -132,18 +144,12 @@ build() {
CXXFLAGS+=" -fno-lto"
fi
- local enable_gnuefi=''
- if [ "$CARCH" != "armv7h" ]; then
- enable_gnuefi='--enable-gnuefi'
- fi
-
local configure_options=(
--libexecdir=/usr/lib
--localstatedir=/var
--sysconfdir=/etc
--enable-lz4
- $enable_gnuefi
--disable-audit
--disable-ima
@@ -154,6 +160,9 @@ build() {
--with-dbuspolicydir=/usr/share/dbus-1/system.d
--without-kill-user-processes
)
+ if [ "$CARCH" != "armv7h" ]; then
+ configure_options+=(--enable-gnuefi)
+ fi
./configure "${configure_options[@]}"
diff --git a/~lukeshu/httpconnectd-git/PKGBUILD b/~lukeshu/httpconnectd-git/PKGBUILD
new file mode 100644
index 000000000..fe95afb1f
--- /dev/null
+++ b/~lukeshu/httpconnectd-git/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Luke Shumaker <lukeshu@sbcglobal.net>
+
+_pkgname=httpconnectd
+pkgname=$_pkgname-git
+
+pkgver=20161004
+_gitver='commit=0a9c98e499211e6c291c4188720852bd3823584c'
+pkgdesc="An HTTP server that only implements the CONNECT method"
+url="https://lukeshu.com/git/httpconnectd/"
+license=('WTFPL2')
+backup=('etc/httpconnectd/https.conf')
+
+provides=($_pkgname)
+conflicts=($_pkgname)
+
+pkgrel=1
+arch=('any')
+
+depends=('socat')
+
+source=("https://repo.parabola.nu/other/~lukeshu/$_pkgname/$pkgname-$pkgver.tar.gz")
+md5sums=('19f0136e2c05e043b5b0b35c15aaf7d9')
+
+mkdepends=('git')
+mksource=("$pkgname-$pkgver::git://lukeshu.com/$_pkgname.git#$_gitver")
+mkmd5sums=('SKIP')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make sysconfdir=/etc prefix=/usr
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make install sysconfdir=/etc prefix=/usr DESTDIR="$pkgdir"
+}